%define src_version 1.2
%define src_release 33

Name: psr
Version: %{src_version}p2
Release: %{src_release}.3%{?dist}
Summary: Automatic password storage and retrieval for AFS
License: other
Group: System Environment/Resource Management
Source0: %{name}-%{src_version}.tar.gz
Source1: %{name}-%{src_version}-configure.ac
Source2: %{name}-%{src_version}-afskerbauth.c
Patch0:  %{name}-%{src_version}-Makefile.am.dif
Patch1:  %{name}-%{src_version}-RELEASE_NOTES.dif
Patch2:  %{name}-%{src_version}-p2.dif
BuildRoot: %{_tmppath}/%{name}-%{src_version}
BuildRequires: autoconf rsaref  krb5-devel
Requires:      openafs >= 1.4.0 rsaref krb5-libs

%package devel
Summary: PSR include file and libraries.
Group: Development/Libraries

%description
PSR provides automatic password storage and retrieval for AFS
passwords in automated job systems, such as batch queue systems.
This version is based on MIT Kerberos 5.

%description devel
PSR include file and libraries for applications, which require
builtin PSR support.

%prep
%setup -q -n %{name}-%{src_version}
/bin/rm -r config \
	   pbs
/bin/rm src/Makefile.in \
	src/afskerbauth.c \
	src/psr_config.h \
	src/psr_config.h.in \
	src/stamp-h.in
/bin/rm Makefile.in \
	aclocal.m4 \
	configure \
	configure.in
/bin/mkdir -p config
%patch0 -p1
%patch1 -p1
%patch2 -p1
/bin/cp %{SOURCE1} configure.ac
/bin/cp %{SOURCE2} src/afskerbauth.c

%build
aclocal
autoconf
autoheader
automake -a

CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS"
CXXFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS"
export CFLAGS CXXFLAGS
./configure \
  --prefix=/usr \
%ifarch x86_64
  --libdir=/usr/lib64 \
%endif
  --with-krb5 \
  --with-MIT


make

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT/%{_bindir}/
%{__mkdir_p} $RPM_BUILD_ROOT/%{_libdir}/
%{__mkdir_p} $RPM_BUILD_ROOT/%{_includedir}/
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog INSTALL LICENSE RELEASE_NOTES
%attr(0755, root, root) %{_bindir}/dauthr
%attr(0755, root, root) %{_bindir}/dauth_shepherd
%attr(0755, root, root) %{_bindir}/mkpsrauthrkeys
%attr(0755, root, root) %{_bindir}/pwstore

%files devel
%attr(0644, root, root) %{_includedir}/psr_config.h
%attr(0644, root, root) %{_libdir}/libdauthr.a
%attr(0644, root, root) %{_libdir}/libpsr_afs.a

%changelog
* Mon Aug 12 2009 - yupi@jinr.ru
- changes in afskerbauth.c, configure.ac and RELEASE_NOTES
  were done to add support for MIT Kerberos 5 libraries
* Thu Apr  3 2008 - yupi@jinr.ru
- minor fixes in spec file
* Fri May 25 2007 - vvm@mammoth.jinr.ru
- chown cccache file to the user
- prune gcc warnings
* Thu May 24 2007 - vvm@mammoth.jinr.ru
- increase buffer size for token in AuthLife:afskerbauth.c,
  otherwise it will break on amd64
- duplicate errors and info via syslog (LOG_LOCAL6) in dauthr/dauth_shepherd
- change format of auth error in afskerbauth.c
* Thu Mar 29 2007 - vvm@mammoth.jinr.ru
- rebuild against (ahhh) krb4 for SL3
* Mon Oct 2 2006  - yupi@jinr.ru
- Patch 0
  configure.in --> configure.ac (with minor fixes)
  PBS patch and config dirs removed
- Patch 1
  some changes in Kerberos 4 part (Valery Mitsyn, vvm@mammoth.jinr.ru)
- Patch 2
  Kerberos 5 (heimdal) support added
